com.strongloop.android.loopback

## Class RestRepository<T extends VirtualObject>

- java.lang.Object
- - com.strongloop.android.remoting.Repository<T>
  - - com.strongloop.android.loopback.RestRepository<T>

Direct Known Subclasses:
  ContainerRepository, FileRepository, ModelRepository

    public class RestRepository<T extends VirtualObject>
    extends Repository<T>

### Constructor Summary

Constructors
Constructor and Description
`RestRepository(java.lang.String className)`
`RestRepository(java.lang.String className, java.lang.Class<T> objectClass)`

### Method Summary

Methods
`RestContract` `createContract()`
`protected Context` `getApplicationContext()`
`RestAdapter` `getRestAdapter()`

### Methods inherited from class com.strongloop.android.remoting.Repository

`createObject, getAdapter, getClassName, invokeStaticMethod, invokeStaticMethod, setAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RestRepository

    public RestRepository(java.lang.String className)

#### RestRepository

    public RestRepository(java.lang.String className,
                  java.lang.Class<T> objectClass)

### Method Detail

#### createContract

    public RestContract createContract()

#### getRestAdapter

    public RestAdapter getRestAdapter()

#### getApplicationContext

    protected Context getApplicationContext()